package plugin.app;

import org.apache.cordova.CallbackContext;
import org.apache.cordova.CordovaPlugin;
import org.json.JSONArray;
import org.json.JSONException;

import java.text.SimpleDateFormat;
import java.util.Calendar;

/**
 * This class echoes a string called from JavaScript.
 */
public class PluginImpl extends CordovaPlugin {
    
    private static String dateFormat = "dd-MM-yyyy hh:mm:ss";
    private static SimpleDateFormat simpleDateFormat = new SimpleDateFormat(dateFormat);
    
    private static String convertMilliSecondsToFormattedDate(long milliSeconds) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTimeInMillis(milliSeconds);
        return simpleDateFormat.format(calendar.getTime());
    }
    
    @Override
    public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws
    JSONException {
        if (action.equals("getDate")) {
            String message = args.getString(0);
            this.coolMethod(message, callbackContext);
            return true;
        }
        return false;
    }
    
    private void coolMethod(String message, CallbackContext callbackContext) {
        if (message != null && message.length() > 0) {
            callbackContext.success(message + " - " + convertMilliSecondsToFormattedDate(System
                                                                                         .currentTimeMillis()));
        } else {
            callbackContext.error("Expected one non-empty string argument.");
        }
    }
}
